#!/bin/sh

if [ "$1" = "show" ]; then
	uci -c /lib/db/config show
else
	mkdir -p /lib/db/config
	echo config board 'board' > /lib/db/config/hw
	# board info
	uci set /lib/db/config/hw.board.iopVerCustomer="IOPSYS"
	uci set /lib/db/config/hw.board.basemac="11:22:33:44:55:66"
	uci set /lib/db/config/hw.board.model_name="DG400PRIME"
	uci set /lib/db/config/hw.board.serial_number="00000000"
	uci set /lib/db/config/hw.board.hardware_version="1.0"
	uci set /lib/db/config/hw.board.iopVerTag="5.6.7"
	uci set /lib/db/config/hw.board.iopVersion="DG400PRIME-X-IOPSYS-5.6.7-191121_1040"
	# processor
	uci set /lib/db/config/hw.board.processor_vendor="broadcom"
	uci set /lib/db/config/hw.board.processor_model="63183"
	uci set /lib/db/config/hw.board.processor_architecture="arm"
	# bootloader
	uci set /lib/db/config/hw.board.bootloader_type="uboot"
	uci set /lib/db/config/hw.board.bootloader_version="2016.07-INTEL-v-3.1.109-01293-g819227e"
fi
